## com.deepin.lianliankan 1.0.8

=== src/CMakeLists.txt ===
#定义cmake版本
cmake_minimum_required(VERSION 3.9.5)

#设置项目名称
set(EXE_NAME deepin-lianliankan)
project(${EXE_NAME})

# 配置版本号
configure_file(environments.h.in environments.h @ONLY)


# Find the library
include(FindPkgConfig)
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(Qt5 COMPONENTS Multimedia REQUIRED)
pkg_search_module(DtkWidget REQUIRED dtkwidget)

#lupdate start
set(TS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../translations")
set(TS_FILES
    "${TS_DIR}/${EXE_NAME}.ts"
)
find_program(LUPDATE_EXECUTABLE lupdate)
foreach(_ts_file ${TS_FILES})
    execute_process(
        COMMAND ${LUPDATE_EXECUTABLE} -recursive ${CMAKE_SOURCE_DIR} -ts ${_ts_file})
endforeach()
#lupdate end

file (GLOB APP_TS_FILES translations/*.ts)

#Generate the qm file
set(APP_TRANS_SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/translate_generation.sh")
execute_process(COMMAND bash ${APP_TRANS_SCRIPT}
    WORKING_DIRECTORY ${TS_DIR})
file(GLOB INSTALL_QM_FILES ../translations/*.qm)

#源文件、头文件和资源文件
include_directories(${PROJECT_SOURCE_DIR})
include_directories(${DtkWidget_INCLUDE_DIRS})
include_directories(${DtkCore_INCLUDE_DIRS})
include_directories(${DtkGui_INCLUDE_DIRS})
file(GLOB_RECURSE c_files RELATIVE ${PROJECT_SOURCE_DIR} source/*.cpp source/*.c ../main.cpp)
file(GLOB_RECURSE h_files RELATIVE ${PROJECT_SOURCE_DIR} source/*.h *.h)
file(GLOB_RECURSE res_files RELATIVE ${PROJECT_SOURCE_DIR} *.qrc)

#添加资源文件
QT5_ADD_RESOURCES(QRC_FILES ${res_files})

#生成可执行程序
add_executable(${EXE_NAME} ${c_files} ${h_files} ${QRC_FILES})


target_include_directories(${EXE_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
target_link_libraries(${EXE_NAME}
    ${DtkWidget_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    Qt5::Multimedia
)

# Install files
set(CMAKE_INSTALL_PREFIX /usr)
install(FILES ${INSTALL_QM_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-lianliankan/translations)
install(FILES ../translations/desktop/deepin-lianliankan.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
install(FILES assets/icon/com.deepin.lianliankan.svg
            DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)
install(TARGETS ${EXE_NAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(DIRECTORY assets/deepin-lianliankan DESTINATION /usr/share/deepin-manual/manual-assets/application/)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9.5)

if (NOT DEFINED VERSION)
    set(VERSION 1.0.0)
endif ()
configure_file(../src/environments.h.in environments.h @ONLY)
set(LINK_LIBS
    Qt5::Core
    Qt5::Widgets
    Qt5::Gui
    Qt5::Multimedia
    Qt5::Test
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGUI_LIBRARIES}
)
#可访问private
ADD_COMPILE_OPTIONS(-fno-access-control)
ADD_COMPILE_OPTIONS(-fno-inline)
set (PROJECT_NAME_TEST deepin-lianliankan-test)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
#set(CMAKE_CXX_FLAGS "-g -Wall")
#编译生成覆盖环境
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")
#添加-fno-inline编译选项，禁止内联，能获取到函数地址，可以对内联函数进行打桩
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-inline")
if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif ()

set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")
if(CMAKE_SAFETYTEST STREQUAL "")
    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
endif()
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")
if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
  #安全测试选项
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
endif()

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(Qt5Multimedia REQUIRED)
add_definitions(${Qt5Test_DEFINITIONS})
FILE(GLOB allSource
     ../src/source/closewindowdialog.cpp
     ../src/source/gameblureffectwidget.cpp
     ../src/source/gamebutton.cpp
     ../src/source/gamecontrol.cpp
     ../src/source/gamelinescene.cpp
     ../src/source/closewindowdialog.cpp
     ../src/source/gameoverblureffectwidget.cpp
     ../src/source/gamepage.cpp
     ../src/source/gameprogressbar.cpp
     ../src/source/lianliankanapplication.cpp
     ../src/source/mainpage.cpp
     ../src/source/mainwindow.cpp
     ../src/source/shadowlabel.cpp
     ../src/source/utils.cpp
)
FILE(GLOB qrcFiles
    ../src/resources.qrc
)


# 5. 头文件
# 5.1. 定义函数，用于递归添加头文件
function(include_sub_directories_recursively root_dir)
    if (IS_DIRECTORY ${root_dir})               # 当前路径是一个目录吗，是的话就加入到包含目录
        #message("include dir: " ${root_dir})
        include_directories(${root_dir})
    endif()

    file(GLOB ALL_SUB RELATIVE ${root_dir} ${root_dir}/*) # 获得当前目录下的所有文件，让如ALL_SUB列表中
    foreach(sub ${ALL_SUB})
        if (IS_DIRECTORY ${root_dir}/${sub})
            include_sub_directories_recursively(${root_dir}/${sub}) # 对子目录递归调用，包含
        endif()
    endforeach()
endfunction()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_sub_directories_recursively("${CMAKE_CURRENT_SOURCE_DIR}/../src/source")
include_directories(${DtkWidget_INCLUDE_DIRS})
include_directories(${DtkCore_INCLUDE_DIRS})
include_directories(${DtkGui_INCLUDE_DIRS})
include_directories( ${Qt5TestLib_LIBRARIES})
find_package(GTest REQUIRED)
include_directories(${GTEST_INCLUDE_DIRS})

FILE(GLOB allTestSource
src/*.cpp
)
include_directories(src)


add_executable (${PROJECT_NAME_TEST} ${allSource} ${APP_QRC_FILES}  ${APP_QM_FILES} ${qrcFiles}   ${allTestSource})



target_link_libraries(${PROJECT_NAME_TEST}  ${LINK_LIBS} ${GTEST_LIBRARIES} ${GTEST_MAIN_LIBRARIES} pthread -ldl -fPIC)

=== debian/changelog ===
com.deepin.lianliankan (1.0.8-1) unstable; urgency=medium

  * update

 -- Packages <deepin@deepin.com>  Thu, 13 Jan 2022 16:35:49 +0800

com.deepin.lianliankan (1.0) unstable; urgency=medium

  * Initial release the first version

 -- linxun <linxun@uniontech.com> Wed, 11 Aug 2021 11:23:48 +0800

=== debian/control ===
Source: com.deepin.lianliankan
Section: utils
Priority: optional
Maintainer: Packages <deepin@deepin.com>
Build-Depends: debhelper (>= 11),cmake, pkg-config, qtbase5-dev, qtchooser (>= 55-gc9562a1-1~),qt5-qmake, libdtkwidget-dev, qttools5-dev-tools, libqt5svg5-dev, qttools5-dev,libgtest-dev, libgmock-dev, qtmultimedia5-dev
Standards-Version: 4.1.3

Package: com.deepin.lianliankan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Lianliankan is a puzzle game.
 Lianliankan is an easy-to-play puzzle game with cute interface and countdown timer.

## com.deepin.lianliankan 1.0.11

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,11 @@
 # 配置版本号
 configure_file(environments.h.in environments.h @ONLY)
 
+#添加ci编译参数
+if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+endif()
 
 # Find the library
 include(FindPkgConfig)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 cmake_minimum_required(VERSION 3.9.5)
 
 if (NOT DEFINED VERSION)

=== debian/changelog ===
com.deepin.lianliankan (1.0.11-1) unstable; urgency=medium

  * update

 -- Packages <deepin@deepin.com>  Thu, 17 Nov 2022 10:06:26 +0800

## com.deepin.lianliankan 1.0.12

=== CMakeLists.txt ===

#1.定义cmake版本
cmake_minimum_required(VERSION 3.9.5)

#2.设置项目名称
set(EXE_NAME  deepin-lianliankan)
project(${EXE_NAME})

if (NOT DEFINED VERSION)
    set(VERSION 1.0.0)
endif ()

# 添加c++ 11标准支持
set(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -std=c++11" )


set(CMAKE_SKIP_BUILD_RPATH FALSE)
set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)


set(CMAKE_C_STANDARD 11)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_VERBOSE_MAKEFILE ON) #要显示执行构建过程中详细的信息(比如为了得到更详细的出错信息)
set(CMAKE_AUTOMOC ON) #打开全局moc
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)


#对DApplication 进行加速
set(CMAKE_EXE_LINKER_FLAGS "-pie")


add_subdirectory(src)
add_subdirectory(tests)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -67,10 +67,16 @@
 )
 
 # Install files
-set(CMAKE_INSTALL_PREFIX /usr)
-install(FILES ${INSTALL_QM_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-lianliankan/translations)
-install(FILES ../translations/desktop/deepin-lianliankan.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
+#根据环境修改/usr 目录
+if(DEFINED ENV{PREFIX})
+   set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
+else()
+   set(CMAKE_INSTALL_PREFIX /usr)
+endif()
+
+install(FILES ${INSTALL_QM_FILES} DESTINATION share/deepin-lianliankan/translations)
+install(FILES ../translations/desktop/deepin-lianliankan.desktop DESTINATION share/applications)
 install(FILES assets/icon/com.deepin.lianliankan.svg
             DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)
-install(TARGETS ${EXE_NAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
-install(DIRECTORY assets/deepin-lianliankan DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+install(TARGETS ${EXE_NAME} DESTINATION bin)
+install(DIRECTORY assets/deepin-lianliankan DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/)

=== debian/changelog ===
com.deepin.lianliankan (1.0.12) unstable; urgency=medium

  * New version 1.0.12

 -- fengli <fengli@uniontech.com> Thu, 5 Jan 2023 13:42:50 +0800

com.deepin.lianliankan (1.0.9) unstable; urgency=medium

  * Initial release the first version

 -- linxun <linxun@uniontech.com> Wed, 11 Aug 2021 11:23:48 +0800

## com.deepin.lianliankan 6.0.3

=== debian/changelog ===
com.deepin.lianliankan (6.0.3) unstable; urgency=medium

  * New version 6.0.3

 -- Wang Yu <wangyu@uniontch.com>  Sat, 08 Feb 2025 15:13:59 +0800

com.deepin.lianliankan (6.0.2) unstable; urgency=medium

  * New version 6.0.2

 -- Wang Yu <wangyu@uniontch.com>  Sat, 08 Feb 2025 14:16:42 +0800

com.deepin.lianliankan (6.0.1) unstable; urgency=medium

  * New version 6.0.1

 -- xiepengfei <xiepengfei@uniontech.com> Mon, 20 Jan 2025 11:42:27 +0800

## com.deepin.lianliankan 6.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,9 +28,14 @@
 set(CMAKE_AUTORCC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
+set(QT_VERSION_MAJOR 6)
+if (${QT_VERSION_MAJOR} GREATER_EQUAL 6)
+    set(DTK_VERSION 6)
+endif()
+
 
 #对DApplication 进行加速
-set(CMAKE_EXE_LINKER_FLAGS "-pie")
+set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
 
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,11 +17,11 @@
 # Find the library
 include(FindPkgConfig)
 find_package(PkgConfig REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
-find_package(DtkWidget REQUIRED)
-find_package(Qt5 COMPONENTS Multimedia REQUIRED)
-pkg_search_module(DtkWidget REQUIRED dtkwidget)
+find_package(Qt${QT_VERSION_MAJOR}Widgets REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Multimedia REQUIRED)
+find_package(Dtk${DTK_VERSION}Core REQUIRED)
+find_package(Dtk${DTK_VERSION}Widget REQUIRED)
+find_package(Dtk${DTK_VERSION}Gui REQUIRED)
 
 #lupdate start
 set(TS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../translations")
@@ -45,25 +45,24 @@
 
 #源文件、头文件和资源文件
 include_directories(${PROJECT_SOURCE_DIR})
-include_directories(${DtkWidget_INCLUDE_DIRS})
-include_directories(${DtkCore_INCLUDE_DIRS})
-include_directories(${DtkGui_INCLUDE_DIRS})
 file(GLOB_RECURSE c_files RELATIVE ${PROJECT_SOURCE_DIR} source/*.cpp source/*.c ../main.cpp)
 file(GLOB_RECURSE h_files RELATIVE ${PROJECT_SOURCE_DIR} source/*.h *.h)
-file(GLOB_RECURSE res_files RELATIVE ${PROJECT_SOURCE_DIR} *.qrc)
 
 #添加资源文件
-QT5_ADD_RESOURCES(QRC_FILES ${res_files})
+file(GLOB_RECURSE QRC_SOURCE_FILES ./*.qrc)
+qt_add_resources(QRC_FILES ${QRC_SOURCE_FILES})
 
 #生成可执行程序
 add_executable(${EXE_NAME} ${c_files} ${h_files} ${QRC_FILES})
 
 
-target_include_directories(${EXE_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
+target_include_directories(${EXE_NAME} PUBLIC ${OBJECT_BINARY_DIR})
 target_link_libraries(${EXE_NAME}
-    ${DtkWidget_LIBRARIES}
-    ${Qt5Widgets_LIBRARIES}
-    Qt5::Multimedia
+    Dtk${DTK_VERSION}::Core
+    Dtk${DTK_VERSION}::Gui
+    Dtk${DTK_VERSION}::Widget
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Multimedia
 )
 
 # Install files

=== debian/changelog ===
com.deepin.lianliankan (6.0.5) unstable; urgency=medium

  * chore: New version 6.0.5.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 17:43:05 +0800

com.deepin.lianliankan (6.0.4) unstable; urgency=medium

  * chore: New version 6.0.4.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:02:31 +0800

## com.deepin.lianliankan 6.0.9

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -8,16 +8,16 @@
     set(VERSION 1.0.0)
 endif ()
 configure_file(../src/environments.h.in environments.h @ONLY)
-set(LINK_LIBS
-    Qt5::Core
-    Qt5::Widgets
-    Qt5::Gui
-    Qt5::Multimedia
-    Qt5::Test
-    ${DtkWidget_LIBRARIES}
-    ${DtkCore_LIBRARIES}
-    ${DtkGUI_LIBRARIES}
-)
+# set(LINK_LIBS
+#     Qt5::Core
+#     Qt5::Widgets
+#     Qt5::Gui
+#     Qt5::Multimedia
+#     Qt5::Test
+#     ${DtkWidget_LIBRARIES}
+#     ${DtkCore_LIBRARIES}
+#     ${DtkGUI_LIBRARIES}
+# )
 #可访问private
 ADD_COMPILE_OPTIONS(-fno-access-control)
 ADD_COMPILE_OPTIONS(-fno-inline)
@@ -50,15 +50,14 @@
 
 # Find the library
 find_package(PkgConfig REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5Gui REQUIRED)
-find_package(Qt5Core REQUIRED)
-find_package(DtkWidget REQUIRED)
-find_package(DtkGui REQUIRED)
-find_package(DtkCore REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
-find_package(Qt5Test REQUIRED)
-find_package(Qt5Multimedia REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Gui REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Core REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Test REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Widgets REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Multimedia REQUIRED)
+find_package(Dtk${DTK_VERSION}Core REQUIRED)
+find_package(Dtk${DTK_VERSION}Widget REQUIRED)
+find_package(Dtk${DTK_VERSION}Gui REQUIRED)
 add_definitions(${Qt5Test_DEFINITIONS})
 FILE(GLOB allSource
      ../src/source/closewindowdialog.cpp
@@ -99,10 +98,6 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 include_sub_directories_recursively("${CMAKE_CURRENT_SOURCE_DIR}/../src/source")
-include_directories(${DtkWidget_INCLUDE_DIRS})
-include_directories(${DtkCore_INCLUDE_DIRS})
-include_directories(${DtkGui_INCLUDE_DIRS})
-include_directories( ${Qt5TestLib_LIBRARIES})
 find_package(GTest REQUIRED)
 include_directories(${GTEST_INCLUDE_DIRS})
 
@@ -114,7 +109,15 @@
 
 add_executable (${PROJECT_NAME_TEST} ${allSource} ${APP_QRC_FILES}  ${APP_QM_FILES} ${qrcFiles}   ${allTestSource})
 
+target_link_libraries(${PROJECT_NAME_TEST}
+    ${LINK_LIBS}
+    ${GTEST_LIBRARIES}
+    ${GTEST_MAIN_LIBRARIES}
+    pthread -ldl -fPIC
+    Dtk${DTK_VERSION}::Core
+    Dtk${DTK_VERSION}::Gui
+    Dtk${DTK_VERSION}::Widget
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Multimedia
+)
 
-
-target_link_libraries(${PROJECT_NAME_TEST}  ${LINK_LIBS} ${GTEST_LIBRARIES} ${GTEST_MAIN_LIBRARIES} pthread -ldl -fPIC)
-

=== debian/changelog ===
com.deepin.lianliankan (6.0.9) unstable; urgency=medium

  * Update version to 6.0.9. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 17 Jul 2025 20:43:53 +0800

com.deepin.lianliankan (6.0.8) unstable; urgency=medium

  * Update version to 6.0.8.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 10 Jul 2025 20:51:06 +0800

com.deepin.lianliankan (6.0.7) unstable; urgency=medium

  * update version  to 6.0.7. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 03 Jul 2025 15:09:33 +0800

com.deepin.lianliankan (6.0.6) unstable; urgency=medium

  * chore: New version 6.0.6.

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 01 Jul 2025 19:21:51 +0800

=== debian/control ===
Source: com.deepin.lianliankan
Section: utils
Priority: optional
Maintainer: Packages <deepin@deepin.com>
Build-Depends: debhelper (>= 11),cmake, pkg-config, qt6-base-dev, qtchooser (>= 55-gc9562a1-1~),qmake6, libdtk6widget-dev, qt6-tools-dev-tools, qt6-svg-dev, qt6-tools-dev,libgtest-dev, libgmock-dev, qt6-multimedia-dev
Standards-Version: 4.1.3

Package: com.deepin.lianliankan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Lianliankan is a puzzle game.
 Lianliankan is an easy-to-play puzzle game with cute interface and countdown timer.

## com.deepin.lianliankan 6.0.11

=== debian/changelog ===
com.deepin.lianliankan (6.0.11) unstable; urgency=medium

  * feat: Update translations for Lao locale (#37)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 16:24:12 +0800

com.deepin.lianliankan (6.0.10) unstable; urgency=medium

  * Update version to 6.0.10.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 16:28:16 +0800
